package com.os.mes.api.domain;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.HashMap;

public class RecordData {

    /** 带宽 */
    @JsonProperty("BeltWidth")
    private int BeltWidth;

    /** 带布层 */
    @JsonProperty("BeltClothLayer")
    private int BeltClothLayer;

    /** 带所需长度 */
    @JsonProperty("BeltRequiredLength")
    private int BeltRequiredLength;

    /** 粘合所需厚度 */
    @JsonProperty("GluingRequiredThickness")
    private int GluingRequiredThickness;

    /** 下胶所需厚度 */
    @JsonProperty("LowerGlueRequiredThickness")
    private int LowerGlueRequiredThickness;

    /** 生产粘合厚度 */
    @JsonProperty("ProductionGluingThickness")
    private double ProductionGluingThickness;

    /** 上缓冲粘合厚度 */
    @JsonProperty("UpperBufferAdhesiveThickness")
    private int UpperBufferAdhesiveThickness;

    /** 生产下胶厚度 */
    @JsonProperty("ProductionLowerGlueThickness")
    private double ProductionLowerGlueThickness;

    /** 下缓冲粘合厚度 */
    @JsonProperty("LowerBufferAdhesiveThickness")
    private double LowerBufferAdhesiveThickness;

    /** 布粘合厚度 */
    @JsonProperty("ClothGlueThickness")
    private double ClothGlueThickness;

    /** 小布料层 */
    @JsonProperty("SmallClothFabricLayer")
    private int SmallClothFabricLayer;

    /** 小布厚度 */
    @JsonProperty("SmallClothThickness")
    private int SmallClothThickness;

    /** 是否需要加厚 */
    @JsonProperty("IsNeedThicken")
    private String IsNeedThicken;

    /** 每层加厚厚度 */
    @JsonProperty("EachLayerThickenThickness")
    private int EachLayerThickenThickness;

    /** 额外加厚厚度 */
    @JsonProperty("ExtraThickeningThickness")
    private int ExtraThickeningThickness;

    /** 总生产厚度 */
    @JsonProperty("TotalProductionThickness")
    private double TotalProductionThickness;

    /** 额外厚度 */
    @JsonProperty("AdditionalThickness")
    private double AdditionalThickness;

    /** 推荐垫片厚度 */
    @JsonProperty("RecommendedShimThickness")
    private int RecommendedShimThickness;

    /** 半成品宽度 */
    @JsonProperty("SemiFinishedProductWidth")
    private int SemiFinishedProductWidth;

    /** 轧制生产米数 */
    @JsonProperty("RollingProductionMeters")
    private double RollingProductionMeters;

    /** 推荐垫片宽度 */
    @JsonProperty("RecommendedPadWidth")
    private int RecommendedPadWidth;

    /** 大布料制造商 */
    @JsonProperty("BigFabricManufacturer")
    private String BigFabricManufacturer;

    /** 布料规格 */
    @JsonProperty("FabricSpecifications")
    private Material FabricSpecifications;

    /** 估计布料使用量 */
    @JsonProperty("EstimatedFabricUsage")
    private double EstimatedFabricUsage;

    /** 布宽 */
    @JsonProperty("ClothWidth")
    private int ClothWidth;

    /** 布重 */
    @JsonProperty("ClothWeight")
    private double ClothWeight;

    /** 小布料规格字典 */
    @JsonProperty("SmallFabricSpecificationsDic")
    private Material SmallFabricSpecificationsDic;

    /** 小布宽 */
    @JsonProperty("SmallClothWidth")
    private int SmallClothWidth;

    /** 小布使用量 */
    @JsonProperty("SmallClothUsage")
    private double SmallClothUsage;

    /** 小布重量 */
    @JsonProperty("SmallClothWeight")
    private double SmallClothWeight;

    /** 粘合工艺 */
    @JsonProperty("GluingProcess")
    private String GluingProcess;

    /** 上下胶 */
    @JsonProperty("UpperLowerGlue")
    private UpperLowerGlue UpperLowerGlue;

    /** 上下胶系数 */
    @JsonProperty("UpperLowerGlueCoefficient")
    private double UpperLowerGlueCoefficient;

    /** 上下胶使用量 */
    @JsonProperty("UpperLowerGlueUsage")
    private double UpperLowerGlueUsage;

    /** 下胶 */
    @JsonProperty("LowerGlue")
    private HashMap<String, Object> LowerGlue;

    /** 下胶系数 */
    @JsonProperty("LowerGlueCoefficient")
    private double LowerGlueCoefficient;

    /** 下胶使用量 */
    @JsonProperty("LowerGlueUsage")
    private double LowerGlueUsage;

    /** 大布胶 */
    @JsonProperty("LargeClothGlue")
    private HashMap<String, Object> LargeClothGlue;

    /** 大布胶系数 */
    @JsonProperty("LargeClothGlueCoefficient")
    private double LargeClothGlueCoefficient;

    /** 大布胶使用量 */
    @JsonProperty("LargeClothGlueUsage")
    private double LargeClothGlueUsage;

    /** 缓冲胶使用量 */
    @JsonProperty("BufferGlueUsage")
    private double BufferGlueUsage;

    /** 中间胶 */
    @JsonProperty("MiddleGlue")
    private HashMap<String, Object> MiddleGlue;

    /** 中间胶系数 */
    @JsonProperty("MiddleGlueCoefficient")
    private double MiddleGlueCoefficient;

    /** 中间胶使用量 */
    @JsonProperty("MiddleGlueUsage")
    private double MiddleGlueUsage;

    /** 小棒宽度 */
    @JsonProperty("SmallBarWidth")
    private int SmallBarWidth;

    /** 小棒厚度 */
    @JsonProperty("SmallBarThickness")
    private int SmallBarThickness;

    /** 小棒标准使用量 */
    @JsonProperty("SmallBarStandardUsage")
    private int SmallBarStandardUsage;

    /** 成型区 */
    @JsonProperty("FormingArea")
    private int FormingArea;

    /** 涂辊区 */
    @JsonProperty("RollCoatingArea")
    private int RollCoatingArea;

    /** 卷布区 */
    @JsonProperty("RolledFabricArea")
    private int RolledFabricArea;

    /** 硫化区 */
    @JsonProperty("SulfurizationArea")
    private int SulfurizationArea;

    /** 大布面积 */
    @JsonProperty("LargeClothArea")
    private double LargeClothArea;

    /** 小布面积 */
    @JsonProperty("SmallClothArea")
    private double SmallClothArea;

    /** 带总面积 */
    @JsonProperty("BeltTotalArea")
    private int BeltTotalArea;

    /** 裙边面积 */
    @JsonProperty("SkirtArea")
    private int SkirtArea;

    /** 隔断面积 */
    @JsonProperty("PartitionArea")
    private int PartitionArea;

    /** 封边总面积 */
    @JsonProperty("EdgeBandingTotalArea")
    private int EdgeBandingTotalArea;

    /** 钢丝绳带总面积 */
    @JsonProperty("WireropeBeltTotalArea")
    private int WireropeBeltTotalArea;

    /** 订单日期 */
    @JsonProperty("OrderDate")
    private String OrderDate;

    /** 交货日期 */
    @JsonProperty("DeliveryDate")
    private String DeliveryDate;

    /** 序号 */
    @JsonProperty("SeqNo")
    private String SeqNo;

    /** 产品类型 */
    @JsonProperty("ProductType")
    private String ProductType;

    /** 产品状态 */
    @JsonProperty("ProductStatus")
    private String ProductStatus;

    /** 订单所有者 */
    @JsonProperty("OrderOwner")
    private String OrderOwner;

    /** 客户信息 */
    @JsonProperty("CustomerInfo")
    private String CustomerInfo;

    /** 带长规格 */
    @JsonProperty("BeltLengthSpecifications")
    private String BeltLengthSpecifications;

    /** 面积和重量 */
    @JsonProperty("AreaAndWeight")
    private String AreaAndWeight;

    /** 使用原材料 */
    @JsonProperty("UsingRawMaterials")
    private String UsingRawMaterials;

    public int getBeltWidth() {
        return BeltWidth;
    }

    public void setBeltWidth(int beltWidth) {
        BeltWidth = beltWidth;
    }

    public int getBeltClothLayer() {
        return BeltClothLayer;
    }

    public void setBeltClothLayer(int beltClothLayer) {
        BeltClothLayer = beltClothLayer;
    }

    public int getBeltRequiredLength() {
        return BeltRequiredLength;
    }

    public void setBeltRequiredLength(int beltRequiredLength) {
        BeltRequiredLength = beltRequiredLength;
    }

    public int getGluingRequiredThickness() {
        return GluingRequiredThickness;
    }

    public void setGluingRequiredThickness(int gluingRequiredThickness) {
        GluingRequiredThickness = gluingRequiredThickness;
    }

    public int getLowerGlueRequiredThickness() {
        return LowerGlueRequiredThickness;
    }

    public void setLowerGlueRequiredThickness(int lowerGlueRequiredThickness) {
        LowerGlueRequiredThickness = lowerGlueRequiredThickness;
    }

    public double getProductionGluingThickness() {
        return ProductionGluingThickness;
    }

    public void setProductionGluingThickness(double productionGluingThickness) {
        ProductionGluingThickness = productionGluingThickness;
    }

    public int getUpperBufferAdhesiveThickness() {
        return UpperBufferAdhesiveThickness;
    }

    public void setUpperBufferAdhesiveThickness(int upperBufferAdhesiveThickness) {
        UpperBufferAdhesiveThickness = upperBufferAdhesiveThickness;
    }

    public double getProductionLowerGlueThickness() {
        return ProductionLowerGlueThickness;
    }

    public void setProductionLowerGlueThickness(double productionLowerGlueThickness) {
        ProductionLowerGlueThickness = productionLowerGlueThickness;
    }

    public double getLowerBufferAdhesiveThickness() {
        return LowerBufferAdhesiveThickness;
    }

    public void setLowerBufferAdhesiveThickness(double lowerBufferAdhesiveThickness) {
        LowerBufferAdhesiveThickness = lowerBufferAdhesiveThickness;
    }

    public double getClothGlueThickness() {
        return ClothGlueThickness;
    }

    public void setClothGlueThickness(double clothGlueThickness) {
        ClothGlueThickness = clothGlueThickness;
    }

    public int getSmallClothFabricLayer() {
        return SmallClothFabricLayer;
    }

    public void setSmallClothFabricLayer(int smallClothFabricLayer) {
        SmallClothFabricLayer = smallClothFabricLayer;
    }

    public int getSmallClothThickness() {
        return SmallClothThickness;
    }

    public void setSmallClothThickness(int smallClothThickness) {
        SmallClothThickness = smallClothThickness;
    }

    public String getIsNeedThicken() {
        return IsNeedThicken;
    }

    public void setIsNeedThicken(String isNeedThicken) {
        IsNeedThicken = isNeedThicken;
    }

    public int getEachLayerThickenThickness() {
        return EachLayerThickenThickness;
    }

    public void setEachLayerThickenThickness(int eachLayerThickenThickness) {
        EachLayerThickenThickness = eachLayerThickenThickness;
    }

    public int getExtraThickeningThickness() {
        return ExtraThickeningThickness;
    }

    public void setExtraThickeningThickness(int extraThickeningThickness) {
        ExtraThickeningThickness = extraThickeningThickness;
    }

    public double getTotalProductionThickness() {
        return TotalProductionThickness;
    }

    public void setTotalProductionThickness(double totalProductionThickness) {
        TotalProductionThickness = totalProductionThickness;
    }

    public double getAdditionalThickness() {
        return AdditionalThickness;
    }

    public void setAdditionalThickness(double additionalThickness) {
        AdditionalThickness = additionalThickness;
    }

    public int getRecommendedShimThickness() {
        return RecommendedShimThickness;
    }

    public void setRecommendedShimThickness(int recommendedShimThickness) {
        RecommendedShimThickness = recommendedShimThickness;
    }

    public int getSemiFinishedProductWidth() {
        return SemiFinishedProductWidth;
    }

    public void setSemiFinishedProductWidth(int semiFinishedProductWidth) {
        SemiFinishedProductWidth = semiFinishedProductWidth;
    }

    public double getRollingProductionMeters() {
        return RollingProductionMeters;
    }

    public void setRollingProductionMeters(double rollingProductionMeters) {
        RollingProductionMeters = rollingProductionMeters;
    }

    public int getRecommendedPadWidth() {
        return RecommendedPadWidth;
    }

    public void setRecommendedPadWidth(int recommendedPadWidth) {
        RecommendedPadWidth = recommendedPadWidth;
    }

    public String getBigFabricManufacturer() {
        return BigFabricManufacturer;
    }

    public void setBigFabricManufacturer(String bigFabricManufacturer) {
        BigFabricManufacturer = bigFabricManufacturer;
    }

    public Material getFabricSpecifications() {
        return FabricSpecifications;
    }

    public void setFabricSpecifications(Material fabricSpecifications) {
        FabricSpecifications = fabricSpecifications;
    }

    public double getEstimatedFabricUsage() {
        return EstimatedFabricUsage;
    }

    public void setEstimatedFabricUsage(double estimatedFabricUsage) {
        EstimatedFabricUsage = estimatedFabricUsage;
    }

    public int getClothWidth() {
        return ClothWidth;
    }

    public void setClothWidth(int clothWidth) {
        ClothWidth = clothWidth;
    }

    public double getClothWeight() {
        return ClothWeight;
    }

    public void setClothWeight(double clothWeight) {
        ClothWeight = clothWeight;
    }

    public Material getSmallFabricSpecificationsDic() {
        return SmallFabricSpecificationsDic;
    }

    public void setSmallFabricSpecificationsDic(Material smallFabricSpecificationsDic) {
        SmallFabricSpecificationsDic = smallFabricSpecificationsDic;
    }

    public int getSmallClothWidth() {
        return SmallClothWidth;
    }

    public void setSmallClothWidth(int smallClothWidth) {
        SmallClothWidth = smallClothWidth;
    }

    public double getSmallClothUsage() {
        return SmallClothUsage;
    }

    public void setSmallClothUsage(double smallClothUsage) {
        SmallClothUsage = smallClothUsage;
    }

    public double getSmallClothWeight() {
        return SmallClothWeight;
    }

    public void setSmallClothWeight(double smallClothWeight) {
        SmallClothWeight = smallClothWeight;
    }

    public String getGluingProcess() {
        return GluingProcess;
    }

    public void setGluingProcess(String gluingProcess) {
        GluingProcess = gluingProcess;
    }

    public UpperLowerGlue getUpperLowerGlue() {
        return UpperLowerGlue;
    }

    public void setUpperLowerGlue(UpperLowerGlue upperLowerGlue) {
        UpperLowerGlue = upperLowerGlue;
    }

    public double getUpperLowerGlueCoefficient() {
        return UpperLowerGlueCoefficient;
    }

    public void setUpperLowerGlueCoefficient(double upperLowerGlueCoefficient) {
        UpperLowerGlueCoefficient = upperLowerGlueCoefficient;
    }

    public double getUpperLowerGlueUsage() {
        return UpperLowerGlueUsage;
    }

    public void setUpperLowerGlueUsage(double upperLowerGlueUsage) {
        UpperLowerGlueUsage = upperLowerGlueUsage;
    }

    public HashMap<String, Object> getLowerGlue() {
        return LowerGlue;
    }

    public void setLowerGlue(HashMap<String, Object> lowerGlue) {
        LowerGlue = lowerGlue;
    }

    public double getLowerGlueCoefficient() {
        return LowerGlueCoefficient;
    }

    public void setLowerGlueCoefficient(double lowerGlueCoefficient) {
        LowerGlueCoefficient = lowerGlueCoefficient;
    }

    public double getLowerGlueUsage() {
        return LowerGlueUsage;
    }

    public void setLowerGlueUsage(double lowerGlueUsage) {
        LowerGlueUsage = lowerGlueUsage;
    }

    public HashMap<String, Object> getLargeClothGlue() {
        return LargeClothGlue;
    }

    public void setLargeClothGlue(HashMap<String, Object> largeClothGlue) {
        LargeClothGlue = largeClothGlue;
    }

    public double getLargeClothGlueCoefficient() {
        return LargeClothGlueCoefficient;
    }

    public void setLargeClothGlueCoefficient(double largeClothGlueCoefficient) {
        LargeClothGlueCoefficient = largeClothGlueCoefficient;
    }

    public double getLargeClothGlueUsage() {
        return LargeClothGlueUsage;
    }

    public void setLargeClothGlueUsage(double largeClothGlueUsage) {
        LargeClothGlueUsage = largeClothGlueUsage;
    }

    public double getBufferGlueUsage() {
        return BufferGlueUsage;
    }

    public void setBufferGlueUsage(double bufferGlueUsage) {
        BufferGlueUsage = bufferGlueUsage;
    }

    public HashMap<String, Object> getMiddleGlue() {
        return MiddleGlue;
    }

    public void setMiddleGlue(HashMap<String, Object> middleGlue) {
        MiddleGlue = middleGlue;
    }

    public double getMiddleGlueCoefficient() {
        return MiddleGlueCoefficient;
    }

    public void setMiddleGlueCoefficient(double middleGlueCoefficient) {
        MiddleGlueCoefficient = middleGlueCoefficient;
    }

    public double getMiddleGlueUsage() {
        return MiddleGlueUsage;
    }

    public void setMiddleGlueUsage(double middleGlueUsage) {
        MiddleGlueUsage = middleGlueUsage;
    }

    public int getSmallBarWidth() {
        return SmallBarWidth;
    }

    public void setSmallBarWidth(int smallBarWidth) {
        SmallBarWidth = smallBarWidth;
    }

    public int getSmallBarThickness() {
        return SmallBarThickness;
    }

    public void setSmallBarThickness(int smallBarThickness) {
        SmallBarThickness = smallBarThickness;
    }

    public int getSmallBarStandardUsage() {
        return SmallBarStandardUsage;
    }

    public void setSmallBarStandardUsage(int smallBarStandardUsage) {
        SmallBarStandardUsage = smallBarStandardUsage;
    }

    public int getFormingArea() {
        return FormingArea;
    }

    public void setFormingArea(int formingArea) {
        FormingArea = formingArea;
    }

    public int getRollCoatingArea() {
        return RollCoatingArea;
    }

    public void setRollCoatingArea(int rollCoatingArea) {
        RollCoatingArea = rollCoatingArea;
    }

    public int getRolledFabricArea() {
        return RolledFabricArea;
    }

    public void setRolledFabricArea(int rolledFabricArea) {
        RolledFabricArea = rolledFabricArea;
    }

    public int getSulfurizationArea() {
        return SulfurizationArea;
    }

    public void setSulfurizationArea(int sulfurizationArea) {
        SulfurizationArea = sulfurizationArea;
    }

    public double getLargeClothArea() {
        return LargeClothArea;
    }

    public void setLargeClothArea(double largeClothArea) {
        LargeClothArea = largeClothArea;
    }

    public double getSmallClothArea() {
        return SmallClothArea;
    }

    public void setSmallClothArea(double smallClothArea) {
        SmallClothArea = smallClothArea;
    }

    public int getBeltTotalArea() {
        return BeltTotalArea;
    }

    public void setBeltTotalArea(int beltTotalArea) {
        BeltTotalArea = beltTotalArea;
    }

    public int getSkirtArea() {
        return SkirtArea;
    }

    public void setSkirtArea(int skirtArea) {
        SkirtArea = skirtArea;
    }

    public int getPartitionArea() {
        return PartitionArea;
    }

    public void setPartitionArea(int partitionArea) {
        PartitionArea = partitionArea;
    }

    public int getEdgeBandingTotalArea() {
        return EdgeBandingTotalArea;
    }

    public void setEdgeBandingTotalArea(int edgeBandingTotalArea) {
        EdgeBandingTotalArea = edgeBandingTotalArea;
    }

    public int getWireropeBeltTotalArea() {
        return WireropeBeltTotalArea;
    }

    public void setWireropeBeltTotalArea(int wireropeBeltTotalArea) {
        WireropeBeltTotalArea = wireropeBeltTotalArea;
    }

    public String getOrderDate() {
        return OrderDate;
    }

    public void setOrderDate(String orderDate) {
        OrderDate = orderDate;
    }

    public String getDeliveryDate() {
        return DeliveryDate;
    }

    public void setDeliveryDate(String deliveryDate) {
        DeliveryDate = deliveryDate;
    }

    public String getSeqNo() {
        return SeqNo;
    }

    public void setSeqNo(String seqNo) {
        SeqNo = seqNo;
    }

    public String getProductType() {
        return ProductType;
    }

    public void setProductType(String productType) {
        ProductType = productType;
    }

    public String getProductStatus() {
        return ProductStatus;
    }

    public void setProductStatus(String productStatus) {
        ProductStatus = productStatus;
    }

    public String getOrderOwner() {
        return OrderOwner;
    }

    public void setOrderOwner(String orderOwner) {
        OrderOwner = orderOwner;
    }

    public String getCustomerInfo() {
        return CustomerInfo;
    }

    public void setCustomerInfo(String customerInfo) {
        CustomerInfo = customerInfo;
    }

    public String getBeltLengthSpecifications() {
        return BeltLengthSpecifications;
    }

    public void setBeltLengthSpecifications(String beltLengthSpecifications) {
        BeltLengthSpecifications = beltLengthSpecifications;
    }

    public String getAreaAndWeight() {
        return AreaAndWeight;
    }

    public void setAreaAndWeight(String areaAndWeight) {
        AreaAndWeight = areaAndWeight;
    }

    public String getUsingRawMaterials() {
        return UsingRawMaterials;
    }

    public void setUsingRawMaterials(String usingRawMaterials) {
        UsingRawMaterials = usingRawMaterials;
    }
}
